Bug 1415332 - A critical section read of the worker's heartbeat information was not protected with a mutex
Summary: A critical section read of the worker's heartbeat information was not protect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Joe Rafaniello
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 1415290
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 22:10 UTC by Satoe Imaishi
Modified: 2017-02-27 19:29 UTC (History)
4 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1415290
Environment:
Last Closed: 2017-02-27 19:29:56 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-20 22:15:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/6814026a233df44b8f194869d059ee078236a0fa

commit 6814026a233df44b8f194869d059ee078236a0fa
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Sat Dec 10 23:30:32 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 20 17:12:16 2017 -0500

    Merge pull request #12932 from jrafanie/wrap_critical_section_with_read_lock
    
    Worker heartbeating: Wrap critical section with read lock
    (cherry picked from commit bb18704733652ab3c38c3c1d3e21e886f07d381a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1415332

 .../miq_server/worker_management/heartbeat.rb      | 26 +++++++++++++++++-----
 .../miq_server/worker_management/heartbeat_spec.rb | 19 ++++++++++++++++
 2 files changed, 39 insertions(+), 6 deletions(-)
 create mode 100644 spec/models/miq_server/worker_management/heartbeat_spec.rb

Comment 3 Joe Rafaniello 2017-02-06 16:54:53 UTC
This was in euwe and therefore will be in 5.7.

Comment 5 errata-xmlrpc 2017-02-27 19:29:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.